package com.factory.wx.entity.res;

import com.factory.web.entity.pm.OnsiteCalendar;
import com.factory.web.entity.pm.OnsiteTitle;
import com.factory.web.entity.pm.OnsiteWorkshop;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-13 5:17 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanApprovalDetailRes {

    @ApiModelProperty(value = "计划审批id")
    private Long id;
    @ApiModelProperty(value = "计划Id")
    private Long planId;
    @ApiModelProperty(value = "计划名称")
    private String planName;
    @ApiModelProperty(value = "检验负责人")
    private List<String> usersName;
    @ApiModelProperty(value = "计划生效日期")
    private LocalDate effectiveDate;
    @ApiModelProperty(value = "表头信息")
    private OnsiteTitle titleInfo;
    @ApiModelProperty(value = "防错计划基本信息")
    private List<OnsiteCalendar> onsiteCalendars;
    @ApiModelProperty(value = "防错计划工作站点检")
    private List<OnsiteWorkshop> onsiteWorkshops;
    @ApiModelProperty(value = "当前用户审批级别")
    private String approvalLevel;

}
